Package net.shibboleth.shared.logic

# Class ConstraintViolationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
net.shibboleth.shared.logic.ConstraintViolationException

All Implemented Interfaces:
  `Serializable`

public class ConstraintViolationException extends RuntimeException
An exception that represents the violation of a constraint. For example, a method argument not being within the proper integer range or a return value being null. The astute observer might ask "Why not just use `IllegalArgumentException`?" The short answer is that that exception is really only meant to be thrown when checking method inputs and we wanted something that could really be used anywhere.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final long`
`serialVersionUID`
Serial version UID.

## Constructor Summary

Constructors
Constructor
Description
`ConstraintViolationException(String message)`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### serialVersionUID

private static final long serialVersionUID
Serial version UID.

See Also:
  - Constant Field Values

## Constructor Details

### ConstraintViolationException

public ConstraintViolationException(String message)
Constructor.

Parameters:
  `message` - message describing the violated constraint